mxCellRenderer (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util
Class mxCellRenderer

    java.lang.Object
      com.mxgraph.util.mxCellRenderer

    public class mxCellRenderer

extends Object

Nested Class Summary
`static class` | `mxCellRenderer.CanvasFactory`

Method Summary
`static BufferedImage` | `createBufferedImage(mxGraph graph, Object[] cells, double scale, Color background, boolean antiAlias, mxRectangle clip)`
`static BufferedImage` | `createBufferedImage(mxGraph graph, Object[] cells, double scale, Color background, boolean antiAlias, mxRectangle clip, mxGraphics2DCanvas graphicsCanvas)`
`static Document` | `createHtmlDocument(mxGraph graph, Object[] cells, double scale, Color background, mxRectangle clip)`
`static Document` | `createSvgDocument(mxGraph graph, Object[] cells, double scale, Color background, mxRectangle clip)`
`static Document` | `createVmlDocument(mxGraph graph, Object[] cells, double scale, Color background, mxRectangle clip)`
`static mxICanvas` | `drawCells(mxGraph graph, Object[] cells, double scale, mxRectangle clip, mxCellRenderer.CanvasFactory factory)` Draws the given cells using a Graphics2D canvas and returns the buffered image that represents the cells.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### drawCells

    public static mxICanvas drawCells(mxGraph graph,
                                      Object[] cells,
                                      double scale,
                                      mxRectangle clip,
                                      mxCellRenderer.CanvasFactory factory)

  Draws the given cells using a Graphics2D canvas and returns the buffered image that represents the cells.

  Parameters:
    `graph` - Graph to be painted onto the canvas.
  Returns:
    Returns the image that represents the canvas.

### createBufferedImage

    public static BufferedImage createBufferedImage(mxGraph graph,
                                                    Object[] cells,
                                                    double scale,
                                                    Color background,
                                                    boolean antiAlias,
                                                    mxRectangle clip)

### createBufferedImage

    public static BufferedImage createBufferedImage(mxGraph graph,
                                                    Object[] cells,
                                                    double scale,
                                                    Color background,
                                                    boolean antiAlias,
                                                    mxRectangle clip,
                                                    mxGraphics2DCanvas graphicsCanvas)

### createHtmlDocument

    public static Document createHtmlDocument(mxGraph graph,
                                              Object[] cells,
                                              double scale,
                                              Color background,
                                              mxRectangle clip)

### createSvgDocument

    public static Document createSvgDocument(mxGraph graph,
                                             Object[] cells,
                                             double scale,
                                             Color background,
                                             mxRectangle clip)

### createVmlDocument

    public static Document createVmlDocument(mxGraph graph,
                                             Object[] cells,
                                             double scale,
                                             Color background,
                                             mxRectangle clip)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.